pub mod lua;
pub mod discord;
pub mod stdin;
pub mod echo;
pub mod random;
pub mod pvn;
pub mod echobox;

pub mod loader;

use Tenquestionmarks;
use event::Envelope;

use std::sync::Arc;
use std::sync::mpsc::Receiver;
use transformable_channels::mpsc::ExtSender;

pub trait Module : Sync {
    fn register (&self, _: &Tenquestionmarks) {}
    fn run (&self, _: Box<ExtSender<Envelope>>, _: Receiver<Arc<Envelope>>) {}
}
